/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: blog
 * Version: 1.08.00-BETA-00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.blog.bean;

import java.io.Serializable;

import com.kportal.cms.objetspartages.annotation.Autocompletion;
import com.kportal.cms.objetspartages.annotation.Label;
import com.univ.objetspartages.bean.AbstractRestrictionFicheBean;

public class BlogBean extends AbstractRestrictionFicheBean implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -1196015894603482965L;

    @Autocompletion(name = "titre_completion")
    protected String titre = null;

    protected String description = null;

    @Label(contexte = "blog", type = "04")
    protected String thematique = null;

    protected String archivage = null;

    public String getDescription() {
        return description;
    }

    public void setDescription(final String description) {
        this.description = description;
    }

    public String getThematique() {
        return thematique;
    }

    public void setThematique(final String thematique) {
        this.thematique = thematique;
    }

    public String getArchivage() {
        return archivage;
    }

    public void setArchivage(final String archivage) {
        this.archivage = archivage;
    }
}
