/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: blog
 * Version: 1.08.00-BETA-00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.blog.query.configuration;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.blog.bean.BlogBean;
import com.kosmos.blog.service.ServiceBlog;
import com.kosmos.blog.util.BlogUtil;
import com.kosmos.search.query.configuration.SearchAggregationTermConfiguration;
import com.kosmos.service.impl.ServiceManager;
import com.univ.objetspartages.bean.RubriqueBean;
import com.univ.objetspartages.services.ServiceRubrique;

/**
 * Created by charlie.camus on 05/04/18.
 */
public class SearchAggregationTermRubriqueBlogConfiguration extends SearchAggregationTermConfiguration {

    private static final long serialVersionUID = -6571637530226543388L;

    @Override
    public String getBucketLabelValue(final String rawValue) {
        ServiceRubrique serviceRubrique = ServiceManager.getServiceForBean(RubriqueBean.class);
        RubriqueBean rubriqueCourante = serviceRubrique.getRubriqueByCode(rawValue);
        if(StringUtils.isNotEmpty(rubriqueCourante.getCodeRubriqueMere())){
            RubriqueBean rubriqueParente = serviceRubrique.getRubriqueByCode(rubriqueCourante.getCodeRubriqueMere());
            if(rubriqueParente != null){
                ServiceBlog serviceBlog = ServiceManager.getService(ServiceBlog.class);
                BlogBean blogBean = serviceBlog.getByCodeRubriqueLangue(rubriqueParente.getCode(), rubriqueParente.getLangue());
                if(blogBean != null){
                    return blogBean.getTitre();
                }
            }
        }
        return BlogUtil.getMessage("SEARCH_AGGREGATION_AUCUN_BLOG");
    }
}
